summaryrefslogtreecommitdiff
path: root/sys-fs/lxcfs/files/lxcfs-2.0.4.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /sys-fs/lxcfs/files/lxcfs-2.0.4.initd
reinit the tree, so we can have metadata
Diffstat (limited to 'sys-fs/lxcfs/files/lxcfs-2.0.4.initd')
-rw-r--r--sys-fs/lxcfs/files/lxcfs-2.0.4.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/sys-fs/lxcfs/files/lxcfs-2.0.4.initd b/sys-fs/lxcfs/files/lxcfs-2.0.4.initd
new file mode 100644
index 000000000000..dd556894b7fc
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-2.0.4.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+DAEMON=/usr/bin/lxcfs
+PIDFILE=/run/lxcfs.pid
+
+start() {
+ ebegin "Starting lxcfs"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ -f -o allow_other /var/lib/lxcfs
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxcfs"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+}